Subject: bug#33177: closed (Re: bug#33177: Sound Services manual typo)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Nov 2018 13:55:04 +0000

Your bug report

#33177: Sound Services manual typo

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33177: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33177
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33177: Sound Services manual typo
From: [email-masked] (Ludovic Courtès)
To: Jelle Licht <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Nov 2018 14:54:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jelle,

Jelle Licht <[email-masked]> skribis:

> The "Sound Services" section[1] of the manual starts of on a confusing
> note for me, but this might just be a typo.
>
> The confusing sentence is:
>> The ‘(gnu services sound)’ module provides a service to configure the
>> Advanced Linux Sound Architecture (ALSA) system, which making
>                                                          ^^^^^^
>> PulseAudio the preferred ALSA output driver.
>
> I was thinking of simply replacing "making" with "makes" in that
> snippet, but I am not sure whether this still keeps the (intended)
> meaning intact.

That’s the right fix, I’ll push it shortly.

> NB. When creating patches for the manual, can one just commit the
> changes and be done with it, or does this involve some extra steps? I
> ask since I found the offending sentence in both guix.texi and
> guix.fr.texi.

Just commit and be done with it!  Translations are automatically updated
with the untranslated changes.

Thanks,
Ludo’.

Subject: Sound Services manual typo
From: Jelle Licht <[email-masked]>
To: [email-masked]
Date: Sat, 27 Oct 2018 17:37:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The "Sound Services" section[1] of the manual starts of on a confusing
note for me, but this might just be a typo.

The confusing sentence is:
> The ‘(gnu services sound)’ module provides a service to configure the
> Advanced Linux Sound Architecture (ALSA) system, which making
                                                         ^^^^^^
> PulseAudio the preferred ALSA output driver.

I was thinking of simply replacing "making" with "makes" in that
snippet, but I am not sure whether this still keeps the (intended)
meaning intact.

[1]: `(info "(Guix)Sound Services")'

NB. When creating patches for the manual, can one just commit the
changes and be done with it, or does this involve some extra steps? I
ask since I found the offending sentence in both guix.texi and
guix.fr.texi.